freeze;

function anisotropic_part_RR( q )
// Returns the anisotropic part of q

    sgn_q := &+ [ Sign(c) : c in Coefficients(q) ];
    return DiagonalQuadraticForm(
        BaseField(q),
        [ Sign(sgn_q) : j in [1..Abs(sgn_q)] ]
           );
end function;

