freeze;

function isotropic_vector_CC( q : alg := "v2" )
    assert IsIsotropic(q);
    K := BaseField(q);
    
    // the form must have dimension >= 2
    C := Coefficients(q);
    v := [K! 0 : c in C ];
    v[1] := Sqrt(C[2]);
    v[2] := Sqrt(-C[1]);
    
    return Vector(K, v);    
end function;

